# Return provider's DCV filename requirements

This function returns the provider's filename requirements for Domain Control Validation (DCV) checks.

Endpoint: GET /Market/get_provider_specific_dcv_constraints
Version: 11.136.0.25
Security: BasicAuth

## Query parameters:

  - `provider` (string, required)
    The cPanel Market provider's name.
    Example: "cPStore"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_provider_specific_dcv_constraints"

  - `module` (string)
    The name of the module called.
    Example: "Market"

  - `result` (object)

  - `result.data` (object)

  - `result.data.dcv_file_allowed_characters` (array)
    An array that lists the characters which the provider allows in the DCV check file's filename.

  - `result.data.dcv_file_extension` (string)
    The DCV check file extension that the provider requires.
    Example: "txt"

  - `result.data.dcv_file_random_character_count` (integer)
    The number of characters that the provider allows in the DCV check file's filename.
    Example: 32

  - `result.data.dcv_file_relative_path` (string)
    The path to the DCV check file, relative to the domain's document root directory.
    Example: ".well-known/pki-validation"

  - `result.data.dcv_max_redirects` (integer)
    The maximum number of HTTP redirects the provider allows.

  - `result.data.dcv_user_agent_string` (string)
    The user agent string that the system will use for the imitated local DCV check.
    Example: "COMODO DCV"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


